/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:27
 * Description:患者住院信息主索引表
 */
package com.emr.service;

import com.emr.entity.*;

import java.util.List;

public interface Sign_ListService {
    /**
     * 根据id查询
     * @param id
     * @return
     */
    Sign_List selectSignListById(Integer id);
    /**
     * 根据字段查询Vo记录
     * @param
     * @return
     */
    OffsetLimitPage selectSignList(Sign_List_Vo signListVo, Integer offset, Integer limit);

    /**
     * 根据字段查询记录
     * @param
     * @return
     */
    List<Sign_List> selectSignListWith(Sign_List signList);
    /**
     * 根据条件查找病案在院列表分页
     * @param
     * @return
     */
    int insertSignList(Sign_List signList);

    /**
     * 修改
     * @param
     * @return
     */
    int updateSignList(Sign_List signList);

    /**
     * 删除
     *
     * @param
     * @return
     */
    int deleteSignListById(Integer id);

    /**
     * 删除
     *
     * @param
     * @return
     */
    int deleteSignListByIds(String ids);

}
 

